%define sqlite_version 3.40.1
%define uprel 0
%define pkg_version %{sqlite_version}.%{uprel}
%define module apsw

Name:           python-apsw
Version:        %{sqlite_version}.%{uprel}
Release:        %mkrel 1
Summary:        Another Python SQLite Wrapper
Group:          Development/Python
License:        zlib
URL:            https://rogerbinns.github.io/apsw/
Source0:        https://github.com/rogerbinns/apsw/archive/%{pkg_version}/%{name}-%{version}.tar.gz
BuildRequires:  pkgconfig(sqlite3) >= %{sqlite_version}

%description
APSW is a Python wrapper for the SQLite embedded relational database
engine. In contrast to other wrappers such as pysqlite it focuses on
being a minimal layer over SQLite attempting just to translate the
complete SQLite API into Python.

%package -n python3-%{module}
Summary:        Another Python3 SQLite Wrapper
Group:          Development/Python
License:        zlib
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
APSW is a Python3 wrapper for the SQLite embedded relational database
engine. In contrast to other wrappers such as pysqlite it focuses on
being a minimal layer over SQLite attempting just to translate the
complete SQLite API into Python.

%package doc
Summary:        Another Python SQLite Wrapper - Documentation
Group:          Development/Python
License:        zlib
BuildArch:      noarch

%description doc
APSW is a Python wrapper for the SQLite embedded relational database
engine. In contrast to other wrappers such as pysqlite it focuses on
being a minimal layer over SQLite attempting just to translate the
complete SQLite API into Python.

%prep
%autosetup -p1 -n "apsw-%{pkg_version}"

%build
%py3_build -- --enable=load_extension

%install
%py3_install

%files -n python3-%{module}
%{python3_sitearch}/*
%license LICENSE

%files doc
%doc doc/*


%changelog
* Tue Jan 31 2023 solbu <solbu> 3.40.1.0-1.mga9
+ Revision: 1937167
- New version: 3.40.1.0

* Wed Dec 07 2022 solbu <solbu> 3.40.0.0-1.mga9
+ Revision: 1918913
- New release: 3.40.0.0

* Sat Oct 22 2022 solbu <solbu> 3.39.3.0-1.mga9
+ Revision: 1898561
- New release: 3.39.3.0

* Tue Aug 09 2022 kekepower <kekepower> 3.39.2.0-1.mga9
+ Revision: 1876371
- Update to version 3.39.2.0

* Sun Jun 05 2022 kekepower <kekepower> 3.38.5.r1-1.mga9
+ Revision: 1861344
- Update to version 3.38.5-r1

* Sat Mar 19 2022 umeabot <umeabot> 3.36.0.r1-4.mga9
+ Revision: 1799376
- Mageia 9 Mass Rebuild

* Wed Mar 02 2022 guillomovitch <guillomovitch> 3.36.0.r1-3.mga9
+ Revision: 1787744
- enable extensions loading

* Sat Feb 12 2022 tv <tv> 3.36.0.r1-2.mga9
+ Revision: 1773332
- Rebuild for python-3.10

* Tue Aug 17 2021 solbu <solbu> 3.36.0.r1-1.mga9
+ Revision: 1741734
- New version: 3.36.0

* Sun May 02 2021 solbu <solbu> 3.35.4.r1-1.mga9
+ Revision: 1720956
- New version: 3.35.4

* Sat Mar 20 2021 tv <tv> 3.34.0.r1-2.mga9
+ Revision: 1705574
- rebuild for python-3.9.2

* Sat Dec 26 2020 solbu <solbu> 3.34.0.r1-1.mga8
+ Revision: 1663912
- New version: 3.34.0

* Wed Sep 09 2020 kekepower <kekepower> 3.33.0.r1-1.mga8
+ Revision: 1623798
- Update to version 3.33.0.r1

* Wed May 13 2020 solbu <solbu> 3.31.1.r1-2.mga8
+ Revision: 1583448
- New version: 3.31.1

* Thu Feb 20 2020 umeabot <umeabot> 3.30.1.r1-2.mga8
+ Revision: 1547642
- Mageia 8 Mass Rebuild

* Sun Feb 09 2020 solbu <solbu> 3.30.1.r1-1.mga8
+ Revision: 1488182
- New version: 3.30.1.r1

* Sun Sep 15 2019 tv <tv> 3.28.0.r1-3.mga8
+ Revision: 1441036
- drop now useless patch

* Wed Sep 11 2019 tv <tv> 3.28.0.r1-2.mga8
+ Revision: 1439648
- patch 0: fix building with python-3.8
- drop python2 subpkg
- rebuild for python-3.8

* Sun Aug 18 2019 solbu <solbu> 3.28.0.r1-1.mga8
+ Revision: 1429779
- New version: 3.28.0-r1

* Fri Apr 19 2019 kekepower <kekepower> 3.27.2.r1-1.mga7
+ Revision: 1393374
- Update to version 3.27.2-r1

* Mon Jan 07 2019 shlomif <shlomif> 3.25.2.r1-2.mga7
+ Revision: 1351061
- Rebuild for python3 3.7

* Mon Nov 05 2018 kekepower <kekepower> 3.25.2.r1-1.mga7
+ Revision: 1328471
- Update to version 3.25.2-r1

* Thu Nov 01 2018 kekepower <kekepower> 3.24.0.r1-1.mga7
+ Revision: 1327285
- Update to version 3.24.0.r1
- Renamed python-apsw to python2-apsw
- Use python_provides

* Sun Sep 23 2018 umeabot <umeabot> 3.8.10.1.r1-3.mga7
+ Revision: 1300439
- Mageia 7 Mass Rebuild

* Fri Feb 12 2016 umeabot <umeabot> 3.8.10.1.r1-2.mga6
+ Revision: 958555
- Mageia 6 Mass Rebuild

* Mon Jun 29 2015 solbu <solbu> 3.8.10.1.r1-1.mga6
+ Revision: 847597
- New version
- Fix URLs
- Use correct Source tags

* Wed Oct 15 2014 umeabot <umeabot> 3.7.17.r1-7.mga5
+ Revision: 746546
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 3.7.17.r1-6.mga5
+ Revision: 728055
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 3.7.17.r1-5.mga5
+ Revision: 687884
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 3.7.17.r1-3.mga4
+ Revision: 542907
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 3.7.17.r1-2.mga4
+ Revision: 498111
- Rebuild to add different pythonegg provides for python 2 and 3

* Thu May 30 2013 solbu <solbu> 3.7.17.r1-1.mga4
+ Revision: 433471
- New version

* Sun Jan 13 2013 umeabot <umeabot> 3.7.15.1.r1-2.mga3
+ Revision: 378463
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 solbu <solbu> 3.7.15.1.r1-1.mga3
+ Revision: 340689
- New version

* Sun Sep 23 2012 solbu <solbu> 3.7.14.r1-1.mga3
+ Revision: 296892
- New version

* Sat Jul 21 2012 solbu <solbu> 3.7.13.r1-1.mga3
+ Revision: 273020
- Import Mandriva package
- Fix License tag
- New version
- Fix doc package

